Download it now!
Bug 92857 - HTML Filter: Embedded images before tables breaks layout of tables
Summary: HTML Filter: Embedded images before tables breaks layout of tables
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.4.4.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HTML-Import
  Show dependency treegraph
 
Reported: 2015-07-21 15:36 UTC by Bob Miller
Modified: 2018-12-09 14:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
With image (broken table) (33.85 KB, text/html)
2015-07-21 15:36 UTC, Bob Miller
Details
Without image (works) (22.72 KB, text/html)
2015-07-21 15:37 UTC, Bob Miller
Details
With image as converted (23.17 KB, application/vnd.oasis.opendocument.text)
2015-07-21 15:38 UTC, Bob Miller
Details
Without image as converted (12.34 KB, application/vnd.oasis.opendocument.text)
2015-07-21 15:38 UTC, Bob Miller
Details
printscreen (116.49 KB, image/png)
2015-07-31 17:12 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bob Miller 2015-07-21 15:36:50 UTC
Created attachment 117362 [details]
With image (broken table)

If you have an embedded base64 encoded image before a wide table with width 100% in your html and you import it the table is not resized correctly and runs off the edge of the page.

Removing the image causes the table to format correctly.

I have also tried this last week with a copy freshly built out of git.  Same problem.

See attached html files for the broken and correct states.
Comment 1 Bob Miller 2015-07-21 15:37:14 UTC
Created attachment 117363 [details]
Without image (works)
Comment 2 Bob Miller 2015-07-21 15:38:09 UTC
Created attachment 117364 [details]
With image as converted
Comment 3 Bob Miller 2015-07-21 15:38:30 UTC
Created attachment 117365 [details]
Without image as converted
Comment 4 Buovjaga 2015-07-31 11:33:42 UTC
After importing attachment 117362 [details] to LibO, I noticed the table behaves differently on different zoom levels, when you zoom out. It sometimes turns to fixed width instead of filling the whole page width. It never ran off the edge of the page for me, though.
So I don't get the result in attachment 117364 [details]

Ubuntu 15.04 64-bit 
Version: 4.4.4.3
Build ID: 40m0(Build:3)
Locale: en_US.UTF-8

Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2015-07-30_03:52:32
Locale: en-US (en_US.UTF-8)

Win 7 Pro 64-bit, Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Locale: fi_FI
Comment 5 raal 2015-07-31 17:12:55 UTC
Created attachment 117567 [details]
printscreen

I can confirm with Version: 5.1.0.0.alpha1+
Build ID: 2d9db406d301d722649ca539cacad823b89191ca
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-07-31_00:59:07
Comment 6 QA Administrators 2016-09-20 10:20:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920